Skip to content

Look Up a Relay Transaction

GET /transaction

Server: https://api.openfish.fun

Authentication: None required


ParameterTypeRequiredDescription
idstring (UUID)YesTransaction ID

FieldTypeRequiredDescription
transactionIDstringYesTransaction UUID
transactionHashstringYesOn-chain transaction hash (empty if not yet submitted)
statestringYes"STATE_NEW", "STATE_EXECUTED", "STATE_CONFIRMED", "STATE_FAILED"
fromstringYesSender address
tostringYesTarget contract address
proxy_addressstringYesProxy wallet address (if applicable)
typestringYesRelay type ("PROXY", "SAFE")
nonceintegerYesMeta-transaction nonce
createdAtstringYesISO 8601 timestamp

Sample Response:

{
"transactionID": "0190b317-a1d3-7bec-9b91-eeb6dcd3a620",
"transactionHash": "0xabc123...",
"state": "STATE_CONFIRMED",
"from": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
"to": "0xA642f9165D192Ff13b1D43a0Ef56B3BD074614bB",
"proxy_address": "",
"type": "PROXY",
"nonce": 61,
"createdAt": "2026-04-09T12:00:00Z"
}
{ "error": "invalid id" }
{ "error": "transaction not found" }